<?php
    session_start();
	ob_start();

	$id_users = isset($_SESSION['id_users']) ? $_SESSION['id_users']: "";	
	$nome_user = isset($_SESSION['nome']) ? $_SESSION['nome']: "";	
	$email_users = isset($_SESSION['email']) ? $_SESSION['email']: "";	
	$pass_users = isset($_SESSION['pass']) ? $_SESSION['pass']: "";	
	$logado = isset($_SESSION['logado']) ? $_SESSION['logado']: "N";	

	if ($logado == "N" && $id_users == ""){	   
		echo  "<script type='text/javascript'>
					location.href='login.php'
				</script>";	
		exit();
	}
	
	require 'conexion.php';
	require_once('functions.php');

	//$leadTime = '7';
	//$dtAtual_LeadTime = date('d-m-Y', strtotime("+$leadTime days",strtotime($data_atual)));
	//$UmaSemana = date('d-m-Y', strtotime("+1 week",strtotime($data_atual)));
	
	$data_atual = date('Y-m-d');
	
	IF(isset($_POST['relatorio_estatisticas_executa'])){
		$apontamentoDe = $_POST["apontamentoDe"];
		$apontamentoAte = $_POST["apontamentoAte"];
		$cliente = $_POST["cliente"];		
	} ELSE {
		$apontamentoDe = date('Y-m-d');
		$apontamentoAte = date('Y-m-d', strtotime("+1 week",strtotime($data_atual)));
		$cliente = '';
	}

	IF ( $apontamentoDe == '' ){
		$apontamentoDe = '2000/01/01';
		$apontamentoAte = '3000/01/01';
	}
	
	$sql2 = "SELECT
			apontamentos.id_producao,
			apontamentos.setor,
			DATE_FORMAT(apontamentos.registro, '%d/%m/%Y %H:%i:%s' ) AS registro,
			SUM(apontamentos.qtd) AS totalApontado,
			apontamentos.obs
			FROM
			apontamentos
			WHERE
			date(apontamentos.registro) BETWEEN date('$apontamentoDe') AND date('$apontamentoAte') AND apontamentos.setor LIKE UPPER('%$cliente%')
			GROUP BY date(apontamentos.registro),apontamentos.setor 
			ORDER BY DATE(apontamentos.registro), apontamentos.setor";
					
			//ORDER BY ordem_corte DESC INTO OUTFILE "c:/agksis/relatorios/relatorio.xls" FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"' LINES TERMINATED BY '\n'

    include(HEADER_TEMPLATE);  
	//echo $sql2;
?>

   <form name="relatorio_estatisticas_executa" method="POST" action="" autocomplete="off" onload="">
		<div class="container-fluid">
			<div class="row">
				<div class="col-sm-2 text-left">
					<label for="apontamentoDe">Apontamento de</label>
					<div class="input-group">
						<input type="date" class="form-control" id="apontamentoDe" name="apontamentoDe" value="<?php echo $apontamentoDe;?>" autofocus >
					</div>
				</div>
				<div class="col-sm-2 text-left">
					<label for="apontamentoAte">Apontamento até</label>
					<div class="input-group">
						<input type="date"  class="form-control" id="apontamentoAte" name="apontamentoAte" value="<?php echo $apontamentoAte;?>" >
					</div>
				</div>				
				
				<div class="col-sm-2 text-left">
					<label for="cli">Setor</label>
					<div class="input-group">
						<input type="text"  class="form-control" id="cliente" name="cliente" value="<?php echo $cliente;?>" style='text-transform:uppercase'>
					</div>
				</div>
				

				<div class="col-sm-1 text-left">				
					<input type="submit" name="relatorio_estatisticas_executa" value="Gerar Relatório">	
				</div>
			</div>
			<hr>
			<br>

			<table class="table table-hover" id="t1" >
								<tbody>
				<thead>
					<tr bgcolor="#cccccc">
						<th>REGISTRO</th>
						<th>SETOR</th>											
						<th>TOTAL</th>
						<th>OBSERVAÇÃO</th>						
					</tr>
				</thead>
				

							
					<?php 	
							$resultado2 = $mysqli->query($sql2);
							while($row2 = $resultado2->fetch_array(MYSQLI_ASSOC)) { 								
					?>
						<tr>
							<td><?php echo $row2['registro']; ?></td>						
							<td><?php echo $row2['setor']; ?></td>
							<td><?php echo $row2['totalApontado']; ?></td>	
							<td><?php echo $row2['obs']; ?></td>							
						</tr>

						
				<?php } ?>

					</tbody>
			</table>
		</div>					
	</form>


	
	<?php include(FOOTER_TEMPLATE); ?>
	
 <script>
    function somenteNumeros(num) {
        var er = /[^0-9.]/;
        er.lastIndex = 0;
        var campo = num;
        if (er.test(campo.value)) {
          campo.value = "";
        }
    }
 </script>
